Summary: An ncurses-based IP traffic monitoring tool.
Name: trafshow
Version: 1.3
Release: 13
Copyright: distributable
Group: Applications/Internet
Source: ftp://sunsite.unc.edu/pub/linux/system/network/management/trafshow-1.3.tar.gz
Patch0: trafshow-1.3-glibc.patch
Patch1: Makefile.patch
ExclusiveArch: i386
Buildroot: /var/tmp/trafshow-root

%description
Trafshow will continuously display an ncurses-based graphic
representation of packet traffic on network interfaces.  Trafshow will
also periodically sort and update the traffic information, and may be
useful for monitoring suspicious traffic on your network.

%prep
%setup -q
%patch0 -p1 -b .glibc
%patch1 -p1 -b .make

%build
make clean
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1

chmod 644 $RPM_BUILD_ROOT/usr/share/man/man1/*

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING TODO trafshow.lsm 
%attr(0755,root,root)/usr/bin/trafshow
/usr/share/man/*/*

%changelog
* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed bug #15066

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jul 05 2000 Tim Powers <timp@redhat.com>
- fixed install routine in makefile so that regular users can bukld the
  package
- rebuilt to fix location of docs

* Mon May 22 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- put man page in correct dir

* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- built package for 5.2
- cleaned up spec file

* Thu May 14 1998 Michael Maher	<mike@redhat.com>
- updated package and added the BUILDROOT.

* Fri Dec  5 1997 Otto Hammersmith <otto@redhat.com>
- made exclusive to i386 -- there is asm code in there

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- fixed src url
- updated version


